/* 
 *
 *  bcopy.c -- define bcopy for SYSV machines and memmove for Berkeley machines
 *
 */

#if (__STDC__ && !defined(X_NOT_STDC_ENV) && !defined(sun) && !defined(macII)) || defined(SVR4) || defined(hpux) || defined(_IBMR2)

bcopy(s1, s2, n)
    char           *s1;
    char           *s2;
    int             n;
{
    while (n--) {
	*s2++ = *s1++;
    }
}

bzero(s1, n)
    char           *s1;
    int             n;
{
    while (n--) {
	*s1++ = '\0';
    }
}

#else

#if !defined(sun)

void *
memmove (s1, s2, n)
     void *s1;
     void *s2;
     int n;
{
  bcopy((char *)s2, (char *)s1, (int)n);
  return s1;
}

char *
memcpy(s1, s2, n)
     void *s1;
     void *s2;
     int n;
{
  bcopy((char *)s2, (char *)s1, (int)n);
  return((char *)s1);
}

int
memcmp (s1, s2, n)
     void *s1;
     void *s2;
     int n;
{
  return(bcmp((char *)(s1),(char *)(s2),(int)(n)));
}

#endif

#endif
