/* list.h
**/

#ifndef NULL
#define NULL ((void *) 0)
#endif


typedef struct _List {
    struct _List   *next;
}               List;

void           *ListDelete();
void           *ListInsert();

#define ListPush(list, member)	ListInsert((List *)list, (List *)member, (List *)list)
#define ListPop(list)		ListDelete((List *)list, (List *)list)

#define ListAdd(list, member)	((void *) (ListInsert((List *)list, (List *)member, NULL)))

#define ListNext(list)		((void *)((((List *) list)->next)))
