/* mode.c
**
	The mode parameter class.
**/

#include "pfile.h"

void *String2Mode();

static Converter Converters[] = {
	{StringType,	ModeType,  String2Mode}, 
	{0,		0,   	NULL}
};


vtype modeRec = {
	"mode",
	Converters,

	VXSize,
	VXAcce,
	NULL
};

void *String2Mode(value, copy)
			char	*value;
			int	*copy;
{
	if ( !value ) return NULL;
	if ( !copy  ) return NULL;

	*copy = 0;
	while ( *value ) {
		switch ( *value++ ) {
		 case 'q': *copy |= QMODE;  break;
		 case 'l': *copy |= LMODE;  break;
		 case 'h': *copy |= HMODE;  break;
		 case 'a': *copy |= AMODE;  break;
		}
	}

	if ( *copy ) 	return copy;
	else	{
		parerr = PARCANTCONVERT;
		return NULL;	
	}
}
