/* psets.c
**/

#include "pfile.h"

int   SSSize(), SSComp();
void *StringCopy();
static Value *VAcce();

static Converter Converters[] = {
	{StringType,	PSetType,  StringCopy},
	{0,		0,	   	NULL}
};


vtype	psetRec = {
	  "pset"
	, Converters

	, SSSize
	, VAcce
	, SSComp
};


static Value *VAcce(pfile, p, type, value)
			ParamFile	 pfile;
			Parameter	*p;
			VType	 	 type;
			Value		*value;
{
		void	*converted;

	if ( !type  ) 			return NULL;
	if ( !value )			return NULL;

	if ( VIsIndirect(value) )	VDirect(pfile, value);

	if ( !value->value )
		if (  value == &p->pmin || value == &p->pmax ) return NULL;
		else
			converted = p->pname;
	else
		if ( value->type == type )
			return value;
		else
			if ( !(converted = VConvert(value, NULL, type)) )
				return NULL;

	return VNewValue(value, converted, type);
}

