/* Program Control Characters */
#include <stdio.h>
#include "jcmlib.h"
#include "jcmp.h"
#include "esc_types.h"

/*----------------------------------------------------------------------*/
/*
 *  esc_list
 *
 */

void esc_status( void )
{
 /* Dump the esc struct */
 integer type;
 char echar;
 char edefault;
 char name[8];
 char buf[80];
 msg( "--- JCMLIB Program Control Characters ---" );
 msg( "No  Name   Value  Default Value Default");
 for ( type = 0; type < ESC_NTYPES; type++ ) {
  esc_get_struct( type, &echar, &edefault, name );
  sprintf( buf, "%2ld %-8s %c     %c  %8d %8d", (long)type, name, echar, edefault,
    echar, edefault );
  msg( buf );
 }
}
  
 

