#include "jcmlib.h"


/*----------------------------------------------------------------------*/
/* 
 * fs_ends
 *
 * Return blank terminated length  - allows nulls if later non null chars 
 *  
 *
 */

integer fs_ends( char* buf, integer size )
{
/* F type string */
 while ( size > 0 && ( buf[size-1] == ' ' ) )
  size--;
 return( size );
}

/*----------------------------------------------------------------------*/
/* fs_zero
 * 
 * Make a blank string of given length, without null termination.
 *
 */

void fs_zero( char* line, integer size )
{
 /* Make a blank string to length size */
 while( size > 0 )  line[--size] = ' ';
}



