
#ifndef JCMH_
#define JCMH_

/* 
 * JCMLIB global symbols
 */

#define TRUE  1
#define FALSE 0

/*
 *  String sizes
 */
#undef CSIZE
#define FSIZE 255	/* Size of t_filename path name */
#define CSIZE 80	/* Size of card */
#define BSIZE 255	/* Size of t_buf  */
#define WSIZE 31	/* Size of t_word */

/*
 *  File symbols
 */
#define FIO_NOFILE    0
#define FIO_NOPERM   -1
#define FIO_READONLY  1
#define FIO_READWRITE 2

/* Global zero */
extern const double VZERO_D[3];

/* JCM special types */

#define integer  long
#define real     float
typedef int logical;    /* C standard specifies result of logical expr is int */

typedef char card[CSIZE+1];
typedef char t_filename[FSIZE+1];
typedef char t_word[WSIZE+1];
typedef char t_buf[BSIZE+1];

typedef struct { real x;   real y; }   complex;
typedef struct { double x; double y; } dcomplex;

#endif

