#include "jcmlib.h"
#include "sex.h"

/*----------------------------------------------------------------------*/
/*
 * sex_zero
 *
 * Initialize a sexg structure.
 * Uses sex.h
 */

void sex_zero( t_sex* x )
{
 x->sign = 1;
 x->hour  = 0;
 x->min=0;
 x->sec=0;
 x->frac = 0.0;
 x->level = SL_UNKNOWN;
}

/* Struct to Value */

/*----------------------------------------------------------------------*/
/*
 * sexout_d 
 *
 * Converts a sexg struct to number of seconds
 * Uses: sex.h
 */

double sexout_d( t_sex x )
{
 double val;
 val = x.sign * ( ( x.hour * SXG + x.min ) * SXG + x.sec + x.frac );
 return( val );
}


/*----------------------------------------------------------------------*/
/*
 * sexin_d
 *
 * Converts a value to a sexg struct
 *
 * Uses: sex.h
 *
 */

/* Value to Struct */

void sexin_d( double v, t_sex* x )
{
 integer sign;
 integer hour;
 integer min;
 integer sec;
 
 ssexin_d( v, &sign, &hour, &min, &sec, &x->frac );
 x->sign = sign;
 x->hour = hour;
 x->min = min;
 x->sec = sec;
}


