typedef struct {
 integer n;
 integer nmax;
 char** base;
 double* exp;
 integer* fac;
} t_unit;


void free_unit( t_unit* unit );
t_unit* alloc_unit( integer n );
void unit_regresolve( t_unit* reg1, t_unit* reg2, char** udf_unit, char** udf_def, integer nu );
void unit_regmult( t_unit* reg1, t_unit* reg2, integer power2 );
void unit_regdedup( t_unit* reg, t_unit* temp );
void unit_regcompose( t_unit* reg, char* unit, integer siz );

void unit_ddisp( t_unit* reg );
void unit_regexp( t_unit* reg, double power );
void unit_regsi( t_unit* reg );
void unit_regparse( const char* unit, t_unit* reg );

