	program	test

	integer*4	pf
	integer*4	stat

	integer*2	s
	integer*4	i
	real*4		f
	real*8		d
	character*133	str

	call paramopen('$', '$rw', pf)

	if ( pf .eq. 0 ) then 
		write ( *, * ) 'Cant open parameter file, sorry.'
		stop
	endif

	call paramlist(pf)


	write ( *, * ) 'Put some parameters'


C	PPUTS
	s = 3
	write ( *, * ) 'pputs', s
	call pputs(pf, 'qinte', s, stat)
	if ( stat .ne. 0 ) then
		call paramerr(0, 'ftest', 'qinte')
		stop
	endif


C	PPUTI
	i = 23
	write ( *, * ) 'pputi', i
	call pputi(pf, 'qinte', i, stat)
	if ( stat .ne. 0 ) then
		call paramerr(0, 'ftest', 'qinte')
		stop
	endif


C	PPUTF
	f = 3.4
	write ( *, * ) 'pputf', f
	call pputf(pf, 'qinte', f, stat)
	if ( stat .ne. 0 ) then
		call paramerr(0, 'ftest', 'qinte')
		stop
	endif


C	PPUTD
	d = 5.7
	write ( *, * ) 'pputd', d
	call pputd(pf, 'qinte', d, stat)
	if ( stat .ne. 0 ) then
		call paramerr(0, 'ftest', 'qinte')
		stop
	endif


C	PPUTSTR
	str = '5.9'
	write ( *, * ) 'pputstr', str
	call pputstr(pf, 'qinte', str, stat)
	if ( stat .ne. 0 ) then
		call paramerr(0, 'ftest', 'qinte')
		stop
	endif


	write ( *, * ) 'Now get some parameters'


C	PGETS
	call pgets(pf, 'qinte', s, stat)
	if ( stat .ne. 0 ) then
		call paramerr(0, 'ftest', 'qinte')
		stop
	endif
	write ( *, * ) 'pgets', s


C	PGETI
	call pgeti(pf, 'qinte', i, stat)
	if ( stat .ne. 0 ) then
		call paramerr(0, 'ftest', 'qinte')
		stop
	endif
	write ( *, * ) 'pgeti', i


C	PGETF
	call pgetf(pf, 'qinte', f, stat)
	if ( stat .ne. 0 ) then
		call paramerr(0, 'ftest', 'qinte')
		stop
	endif
	write ( *, * ) 'pgetf', f


C	PGETD
	call pgetd(pf, 'qinte', d, stat)
	if ( stat .ne. 0 ) then
		call paramerr(0, 'ftest', 'qinte')
		stop
	endif
	write ( *, * ) 'pgetd', d


C	PGETSTR
	call pgetstr(pf, 'qinte', str, stat)
	if ( stat .ne. 0 ) then
		call paramerr(0, 'ftest', 'qinte')
		stop
	endif
	write ( *, * ) 'pgetstr', str

	call paramclose(pf)

	stop
	end
