
%{

#include <pargs.h>
#include "pfile.h"

extern Parameter *ParamPositional();

static ParamList *result;
static ParamList *reference;
static int	  position;
int t_valu;

#define MODE 3

#define YYDEBUG 0
#define YYINITDEPTH 256
#define YYMAXDEPTH  257

/* This is the bit eric told me about.
 */
static char nstr[1];
%}

%token <stri>	T_valu
%token <stri>	T_name
%token <stri>	T_mark
%token <stri>	T_posi

%union {
	ParamList	*plist;
	char		*stri;
}


%type <plist>	pfile
%type <plist>	plist

%%

pfile	: plist
		{ result = $$	}
	;


plist	: T_posi
		{ $$ = PListAdd(NULL
		   , ParamPositional(reference, position++, $1));	}
	| plist T_posi
		{ $$ = PListAdd($1
		   , ParamPositional(reference, position++, $2));	}
	| T_name '='
		{ 		int mode;
		  mode = QMODE;
		  $$ = PListAdd(NULL
		   , ParamCreate(ParamMatch(reference, $1)
				 , StringType, &mode, nstr, NULL));	}
	| plist T_name '='
		{  		int mode;
		  mode = QMODE;
		  $$ = PListAdd($1
		   , ParamCreate(ParamMatch(reference, $2)
				 , StringType, &mode, nstr, NULL));	}
	| T_name T_mark
		{  		int mode;
		  mode = LMODE;
		  $$ = PListAdd(NULL
		   , ParamCreate(ParamMatch(reference, $1)
				 , StringType, &mode, $2, NULL));	}
	| plist T_name T_mark
		{  		int mode;
		  mode = LMODE;
		  $$ = PListAdd($1
		   , ParamCreate(ParamMatch(reference, $2)
				 , StringType, &mode, $3, NULL));	}
	| T_name '=' T_valu
		{  		int mode;
		  mode = LMODE;

		  $$ = PListAdd(NULL
		   , ParamCreate(ParamMatch(reference, $1)
				 , StringType, &mode, $3, NULL));	}
	| plist T_name '=' T_valu
		{  		int mode;
		  mode = LMODE;
		  $$ = PListAdd($1
				, ParamCreate(ParamMatch(reference, $2)
				  , StringType, &mode, $4, NULL));	}
	;
%%

ParamList *IRAFParArgs(plist, argv, argc)
			ParamList	*plist;
			int	 	 argc;
			char		*argv[];
{
		extern FILE *yyin;

		static parser = 0;

/*		extern yydebug;

	yydebug = 1;
*/
	*nstr = '\0';

	result	= NULL;
	reference	= plist;
	position	= 1;
	t_valu		= T_posi;

	if ( parser )
		yyrestart(OpenArgv(0, '\001', argv, argc));
	else {
		yyin = (FILE *) OpenArgv(0, '\001', argv, argc);
		parser = 1;
	}

	if ( yyparse() ) {
		PFree(result);
		result = NULL;
	}

	CloseArgv(yyin);

	return result;		
}

iargerror()
{
	fprintf(stderr, "Sorry, Arguments not ok, try again.\n");
}
