/* plist.c
**/

#include <unistd.h>

#include "pfile.h"
#include "ptemplat.h"
#include "parameter.h"

main(argc, argv)
     int	 argc;
     char	*argv[];
{
  paramfile pfile;

  if ( argc == 1 ) {
    fprintf(stderr, "plist: no paramfiles to list\n");
    exit(1);
  }

  for ( argv++; argc-- >= 2; argv++ ) {
    if ( !(pfile = paramopen(*argv, NULL, 0, "rH")) ) {
      fprintf(stderr, "plist: can't open parameter file: %s\n", *argv);
      exit(1);
    }
    
    paramlist(pfile);
    paramclose(pfile);
  }

  return 0;
}

