/* type.c
**/

#include <string.h>

#include "pfile.h"

vtype	voidRec = {
	  "void"
	, NULL

	, NULL
	, NULL
	, NULL
};
	
vtype	*VTypeList[15] = {
	  &voidRec
	, &booleanRec
	, &integerRec
	, &realRec
	, &stringRec
	, &fileRec
	, &structRec
	, &gcurRec
	, &imcurRec
	, &modeRec
	, &psetRec	

	, &rangeRec
	, &commentRec
	, NULL
};


void *Type2String(type, string)
			VType	type;
			char	*string;
{
		int	i;

	if ( !type ) return NULL;
	if ( !string ) return NULL;

	if ( type & ListType ) {
		*string = '*'; 
		string++;
	}

	strcpy(string, VTypeList[TypeIndex(type)]->name);
	return string;
}


VType String2Type(string)
			char	*string;
{
		int	i;
                int     list = 0;

	if ( *string == '*' ) {
		list = 	ListType;
		string++;
	}

	if ( *string == 'f' )
		i = FileType;
	else
		for ( i = 0; VTypeList[i]; i++ ) 
			if ( !strcmp(string, VTypeList[i]->name) ) break;

	if ( !VTypeList[i] ) {
		parerr = PARBADTYPE;
		return 0;
	}

	return i | list;
}
