#define DMSOURCE
#include "ascdm.h"

dmKernel* dmKernelGet( char* name )
{
 dmKernel* kernel;
 int i;
 for ( i = 1; i <= dmGetNoKernels(); i++ ) {
  kernel = dmGetKernelNo(i);
  if ( cs_eq( name, kernel->name ) ) return( kernel );
 }
 return( NULL );
}


int dmKernelList( void )
{
 dmKernel* kernel;
 int i;
 for ( i = 1; i <= dmGetNoKernels(); i++ ) {
  kernel = dmGetKernelNo( i );
  msg( kernel->name );
 }
 return( 0 );
}


/*
 * dmSetKernelOption
 */
int dmSetKernelOption( char* option )
{
 dmKernel* kernel;
 int i;
 for ( i = 1; i <= dmGetNoKernels(); i++ ) {
  kernel = dmGetKernelNo(i);
  kernel->dmkSetKernelOption( option );
 }
 return( 0 );
}

