/*
 * Kernel interface for JCM data model
 *
 */

#ifndef DMK_H
#define DMK_H


/*
 * These functions are declared in dmkfits.h
 */
#include "dmklib.h"
#include "dmkfits.h"

dmKernel FITS = {
 "FITS",
 &FITS_DatasetOpen,
 &FITS_DatasetCreate,
 &FITS_DatasetClose,
 &FITS_BlockOpenNext,
 &FITS_BlockCreate,
 &FITS_MoveToBlock,
 &FITS_BlockClose,
 &FITS_TableOpen,
 &FITS_ImageOpen,
 &FITS_ImageSpec,
 &FITS_ColumnOpenNo,
 &FITS_ColumnCreate,
 &FITS_kBlockInit,
 &FITS_NextKey, 
 &FITS_GetSpecialKey_d,
 &FITS_ColumnRead_d,
 &FITS_ColumnRead_r,
 &FITS_ColumnWrite_d,
 &FITS_KeyWrite_d,
 &FITS_PutRow,
 &FITS_BlockPrintKernel,
 &FITS_SetKernelOption
};

const int dmNKernels = 1;
dmKernel* dmKernelsList[] = { &FITS };

#endif

