#include "jcmlib.h"
#include "jcmp.h"

#define TSIZE 20

static char termios_cc_save[TSIZE];
static char termios_cc_raw[TSIZE];
static integer termios_ncc;
static integer termios_flags_save[4];
static integer termios_flags_raw[4];

void cio_setup_raw( integer fid )
{
 integer fd;

 fd = fio_get_cfd( fid );
 termios_ncc= ccio_get( fd, termios_cc_save, termios_flags_save );
 cs_copy_siz( termios_cc_save, termios_cc_raw, TSIZE );
 ar_copy_i( termios_flags_save, termios_flags_raw, 4 );
 ccio_set_raw( termios_cc_raw, termios_flags_raw );
}


void cio_set_raw( integer fid )
{
 integer fd;
 fio_set_type( fid, "CIO RAW" );
 fd = fio_get_cfd( fid );
 ccio_set( fd, termios_cc_raw, termios_flags_raw );
}

void cio_clear_raw( integer fid )
{
 integer fd;
 fd = fio_get_cfd( fid );

 ccio_set( fd, termios_cc_save, termios_flags_save );
 fio_set_type( fid, "CIO RW" );
}

