#include "jcmlib.h"
#include "jcmp.h"
#include "gtoken.h"
/* TOKEN PARSER IO */

/*----------------------------------------------------------------------*/
/*
 * ccop
 * Uses cop.h
 */

void tpio_cs( char* prompt, char* token, integer siz )
{
 tpio_token( prompt, TMODE_STRING, token, siz );
}

/*----------------------------------------------------------------------*/
/*
 * icop
 * Uses cop.h readproto.h
 */

integer tpio_i( char* prompt )
{
 card token;
 tpio_token( prompt, TMODE_WORD, token, CSIZE );
 return( read_i( token ) );
}

double tpio_d( char* prompt )
{
 card token;
 tpio_token( prompt, TMODE_WORD, token, CSIZE );
 return( read_d( token ) );
}

short tpio_s( char* prompt )
{
 card token;
 tpio_token( prompt, TMODE_WORD, token, CSIZE );
 return( read_s( token ) );
}

real tpio_r( char* prompt )
{
 card token;
 tpio_token( prompt, TMODE_WORD, token, CSIZE );
 return( read_r( token ) );
}

/*----------------------------------------------------------------------*/
/*
 * ccopw
 * Uses cop.h
 *
 */

void tpio_c( char* prompt, char* token, integer siz )
{
 tpio_token( prompt, TMODE_WORD, token, siz );
}

/*----------------------------------------------------------------------*/
/*
 * ccopl
 * Uses cop.h
 *
 */

void tpio_cl( char* prompt, char* token, integer siz )
{
 tpio_token( prompt, TMODE_LINE, token, siz );
}


integer tpio_d_i( char* prompt, integer xdefault )
{
 card token;
 tpio_token( prompt, TMODE_WORD, token, CSIZE );
 if ( cs_is_blank( token ) ) {
  return( xdefault );
 } else {
  return( read_i( token ) );
 }
}

double tpio_d_d( char* prompt, double xdefault )
{
 card token;
 tpio_token( prompt, TMODE_WORD, token, CSIZE );
 if ( cs_is_blank( token ) ){
  return( xdefault );
 } else {
  return( read_d( token ) );
 }
}

short tpio_d_s( char* prompt, short xdefault )
{
 card token;
 tpio_token( prompt, TMODE_WORD, token, CSIZE );
 if ( cs_is_blank( token ) ) {
  return( xdefault );
 } else {
  return( read_s( token ) );
 }
}

real tpio_d_r( char* prompt, real xdefault )
{
 card token;
 tpio_token( prompt, TMODE_WORD, token, CSIZE );
 if ( cs_is_blank( token ) ) {
  return( xdefault );
 } else {
  return( read_r( token ) );
 }
}

