
#include "jcmlib.h"



void ar_not_q( logical* mask, const integer m )
{
 integer n = m;
 while( n-- ){
   *mask = !(*mask);
   mask++;
 }
}


void ar_true_q( logical* mask, const integer m )
{
 integer n = m;
 while( n-- )   *mask++ = TRUE;
}


void ar_false_q( logical* mask, const integer m )
{
 integer n = m;
 while( n-- )   *mask++ = FALSE;
}

logical ar_all_q( const logical* mask, const integer m )
{
 integer n = m;
 while( n-- ) {
  if ( ! (*mask++) ) return( FALSE );
 }
 return( TRUE );
}


logical ar_any_q( const logical* mask, const integer m )
{
 integer n = m;
 while( n-- ) {
  if ( (*mask++) ) return( TRUE );
 }
 return( FALSE );
}



integer ar_count_q( const logical* mask, const integer m )
{
 integer count = 0;
 integer n = m;
 while ( n-- ) {
  if ( *mask++ ) count++;
 }
 return( count );
}


void ar_and_q( const logical* x, logical* y, const integer m )
{
 integer n = m;
 while( n-- ) *y++ &= *x++;
}

void ar_or_q( const logical* x, logical* y, const integer m )
{
 integer n = m;
 while( n-- ) *y++ |= *x++;
}


