#include "jcmlib.h"


integer match_s( 
 const short value,
 const short* list,
 const integer n
)
{
 integer i;
 for ( i = 0; i < n; i++ ) {
  if ( value == list[i] ) return( i+1 );
 }
 return( 0 );
}

integer match_i( 
 const integer value,
 const integer* list,
 const integer n
)
{
 integer i;
 for ( i = 0; i < n; i++ ) {
  if ( value == list[i] ) return( i+1 );
 }
 return( 0 );
}



integer match_r( 
 const real value,
 const real* list,
 const integer n
)
{
 integer i;
 for ( i = 0; i < n; i++ ) {
  if ( value == list[i] ) return( i+1 );
 }
 return( 0 );
}


integer match_d( 
 const double value,
 const double* list,
 const integer n
)
{
 integer i;
 for ( i = 0; i < n; i++ ) {
  if ( value == list[i] ) return( i+1 );
 }
 return( 0 );
}


integer matchr_s( const short value, const short* list, const integer n1, const integer n2 )
{
 integer j;
 j = match_s( value, list + n1 - 1, n2 - n1 + 1 ); 
 return( j > 0 ? j + n1 - 1 : 0 );
}


integer matchr_i( const integer value, const integer* list, const integer n1, const integer n2 )
{
 integer j;
 j = match_i( value, list + n1 - 1, n2 - n1 + 1 ); 
 return( j > 0 ? j + n1 - 1 : 0 );
}

integer matchr_r( const real value, const real* list, const integer n1, const integer n2 )
{
 integer j;
 j = match_r( value, list + n1 - 1, n2 - n1 + 1 ); 
 return( j > 0 ? j + n1 - 1 : 0 );
}

integer matchr_d( const double value, const double* list, const integer n1, const integer n2 )
{
 integer j;
 j = match_d( value, list + n1 - 1, n2 - n1 + 1 ); 
 return( j > 0 ? j + n1 - 1 : 0 );
}


