#ifndef _MATH_H
#include <math.h>
#endif

#ifndef SEX_H
#define SEX_H

#define SXG 60
#define CIRCLE 360
#define POLAR_LAT 90

enum SXG_LEVEL { SL_UNKNOWN, SL_DEG, SL_MINUTE, SL_SECOND, SL_MILLISEC };



typedef struct SEXG {
 double frac;
 unsigned short int hour;
 char sign;
 char min;
 char sec;
 char level;
} t_sex;       /* 14 bytes promoted to 16 */


void sex_zero( t_sex* x );
double sexout_d( t_sex x );
integer ssexout_i( integer sign, integer deg, integer min, integer sec );
void sexin_d( double v, t_sex* x );

#endif

