#include <stdio.h>
#include "parameter.h"

#include "jcmlib.h"
#include "jcmpar.h"
#include "saopar.h"

/* Copy an SAO/IRAF parameter file to a JCM parameter list */

void sao_par_open( char* parfilename, ParameterList* parlist )
{
 paramfile p;
 pmatchlist t;
 t_buf value;
 char* ptr;

  p = paramopen( parfilename, NULL, 0, "r" );
  t = pmatchopen( p, "*" );
  while( ( ptr = pmatchnext( t ) )) {
   pgetstr( p, ptr, value, BSIZE );
   par_set( parlist, ptr, value );
  }
  paramclose( p );
}

